<template>
  <el-container wrapper>
    <el-header><h1>Test Nicolas</h1></el-header>
    <el-main v-loading="loading">
      <el-alert v-if="error" title="Error" type="error">{{ error }}</el-alert>
      <commits v-else-if="!currentCommit" />
      <users v-else />
    </el-main>
  </el-container>
</template>

<script>
import Vuex from 'vuex'
import Commits from './components/Commits'
import Users from './components/Users'

export default {
  name: 'App',
  data () {
    return {
      loading: false,
      error: false
    }
  },
  computed: {
    ...Vuex.mapState(['currentCommit'])
  },
  mounted () { this.load() },
  methods: {
    load () {
      this.loading = true
      this.$store.dispatch('loadCommits')
        .then(() => this.$store.dispatch('loadUsers'))
        .then(() => {
          this.loading = false
        })
        .catch(err => {
          this.error = err
          this.loading = false
        })
    }
  },
  components: {
    Commits,
    Users
  }
}
</script>

<style>
body{
  margin:0px;
  padding:0px;
  font-family: Helvetica Neue,Helvetica,sans-serif;
}
header{
  color: #fefefe;
  background-color: rgb(64, 158, 255)
}
header h1{
  font-weight:300;
  text-transform: uppercase;
}
</style>
